Mobile Settings
AI Tools
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
The Mobile Settings API allows users to retrieve and update Zoho Cliq mobile app preferences, including notifications, media handling, AV options, and summary settings.
Update mobile settings
AI Tools
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
Updates mobile settings for the authenticated user.
Send only the fields you want to modify. For nested objects (for example, `notification` or `media_to_gallery`), send the object with the intended values. You can also update `file_summary` directly using the query parameter.
OAuth Scope: ZohoCliq.Profile.UPDATE
Duration: 5
Threshold: 20 requests per min per user
Lock period: 5 minutes
OAuth Scope : ZohoCliq.Profile.UPDATE
Arguments
Allowed values:
enabled: Noise cancellation is active.disabled: Noise cancellation is turned off.
Allowed values:
enabled: Downloaded images are automatically saved to the gallery.disabled: Downloaded images are not saved to the gallery.
Allowed values:
enabled: Camera captures are automatically saved to the gallery.disabled: Camera captures are not saved to the gallery.
Allowed values:
enabled: Downloaded videos are automatically saved to the gallery.disabled: Downloaded videos are not saved to the gallery.
Allowed values:
enabled: Conference recording is permitted.disabled: Conference recording is not permitted.
Allowed values:
enabled: Last seen is visible to others.disabled: Last seen is hidden from others.
Allowed values:
enabled: File summaries are displayed.disabled: File summaries are hidden.
Allowed values:
enabled: Media is uploaded at high quality.disabled: Media is uploaded at reduced quality.
Allowed values:
enabled: Direct message notifications are turned on.disabled: Direct message notifications are turned off.
Allowed values:
enabled: Sound plays for direct message notifications.disabled: Sound is muted for direct message notifications.
Allowed values:
enabled: Message content is shown in the notification preview.disabled: Message content is hidden in the notification preview.
Allowed values:
enabled: Channel notifications are turned on.disabled: Channel notifications are turned off.
Allowed values:
enabled: Sound plays for channel notifications.disabled: Sound is muted for channel notifications.
Allowed values:
enabled: Message content is shown in the channel notification preview.disabled: Message content is hidden in the channel notification preview.
Allowed values:
enabled: Group notifications are turned on.disabled: Group notifications are turned off.
Allowed values:
enabled: Sound plays for group notifications.disabled: Sound is muted for group notifications.
Allowed values:
enabled: Message content is shown in the group notification preview.disabled: Message content is hidden in the group notification preview.
Allowed values:
enabled: @mention notifications are turned on.disabled: @mention notifications are turned off.
Allowed values:
enabled: Sound plays for @mention notifications.disabled: Sound is muted for @mention notifications.
Allowed values:
enabled: Message content is shown in the @mention notification preview.disabled: Message content is hidden in the @mention notification preview.
Allowed values:
enabled: Bot notifications are turned on.disabled: Bot notifications are turned off.
Allowed values:
enabled: Sound plays for bot notifications.disabled: Sound is muted for bot notifications.
Allowed values:
enabled: Message content is shown in the bot notification preview.disabled: Message content is hidden in the bot notification preview.
Allowed values:
enabled: Reaction notifications are turned on.disabled: Reaction notifications are turned off.
Allowed values:
enabled: Sound plays for reaction notifications.disabled: Sound is muted for reaction notifications.
Allowed values:
enabled: Message content is shown in the reaction notification preview.disabled: Message content is hidden in the reaction notification preview.
Allowed values:
enabled: Hashtag notifications are turned on.disabled: Hashtag notifications are turned off.
Allowed values:
enabled: Sound plays for hashtag notifications.disabled: Sound is muted for hashtag notifications.
Allowed values:
enabled: Message content is shown in the hashtag notification preview.disabled: Message content is hidden in the hashtag notification preview.
Allowed values:
enabled: MT notifications are turned on.disabled: MT notifications are turned off.
Allowed values:
enabled: Sound plays for MT notifications.disabled: Sound is muted for MT notifications.
Allowed values:
enabled: Message content is shown in the MT notification preview.disabled: Message content is hidden in the MT notification preview.
Allowed values:
enabled: Images are downloaded automatically.disabled: Images are not downloaded automatically.wifi: Images are downloaded automatically only when connected to Wi-Fi.mobile: Images are downloaded automatically only when on mobile data.
Allowed values:
enabled: Videos are downloaded automatically.disabled: Videos are not downloaded automatically.wifi: Videos are downloaded automatically only when connected to Wi-Fi.mobile: Videos are downloaded automatically only when on mobile data.
Allowed values:
enabled: Other files are downloaded automatically.disabled: Other files are not downloaded automatically.wifi: Other files are downloaded automatically only when connected to Wi-Fi.mobile: Other files are downloaded automatically only when on mobile data.
Allowed values:
enabled: Camera is muted on huddle join.disabled: Camera is active on huddle join.
Allowed values:
enabled: HD video is active.disabled: HD video is turned off.
Allowed values:
enabled: Chat summaries are displayed.disabled: Chat summaries are hidden.
Query Parameters
parameters_data='{"field1":"value1","field2":"value2"}';
headers_data = Map();
headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
response = invokeUrl
[
url: "https://cliq.zoho.com/api/v3/settings/mobile"
type: PUT
headers: headers_data
content-type: application/json
parameters: parameters_data
connection: <connection_name>
];
info response;
OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"field1\":\"value1\",\"field2\":\"value2\"}");
Request request = new Request.Builder()
.url("https://cliq.zoho.com/api/v3/settings/mobile")
.put(body)
.addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();
const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f',
'content-type': 'application/json'
},
body: '{"field1":"value1","field2":"value2"}'
};
fetch('https://cliq.zoho.com/api/v3/settings/mobile', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
import http.client
conn = http.client.HTTPSConnection("cliq.zoho.com")
payload = "{\"field1\":\"value1\",\"field2\":\"value2\"}"
headers = {
'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f",
'content-type': "application/json"
}
conn.request("PUT", "/api/v3/settings/mobile", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
const http = require("https");
const options = {
"method": "PUT",
"hostname": "cliq.zoho.com",
"port": null,
"path": "/api/v3/settings/mobile",
"headers": {
"Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f",
"content-type": "application/json"
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({field1: 'value1', field2: 'value2'}));
req.end();
var client = new RestClient("https://cliq.zoho.com/api/v3/settings/mobile");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"field1\":\"value1\",\"field2\":\"value2\"}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://cliq.zoho.com/api/v3/settings/mobile"),
Headers =
{
{ "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" },
},
Content = new StringContent("{\"field1\":\"value1\",\"field2\":\"value2\"}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://cliq.zoho.com/api/v3/settings/mobile"
payload := strings.NewReader("{\"field1\":\"value1\",\"field2\":\"value2\"}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
const data = JSON.stringify({
"field1": "value1",
"field2": "value2"
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://cliq.zoho.com/api/v3/settings/mobile");
xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);
curl --request PUT \
--url https://cliq.zoho.com/api/v3/settings/mobile \
--header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f' \
--header 'content-type: application/json' \
--data '{"field1":"value1","field2":"value2"}'
{
"av_noise_cancellation": "enabled",
"media_to_gallery": {
"images": "enabled",
"camera_captures": "enabled",
"videos": "enabled"
},
"conference_recording": "enabled",
"last_seen": "enabled",
"file_summary": "enabled",
"media_upload_quality": "enabled",
"notification": {
"direct_message": "enabled",
"direct_message_sound": "enabled",
"direct_message_preview": "enabled",
"channel": "enabled",
"channel_sound": "enabled",
"channel_preview": "enabled",
"group": "enabled",
"group_sound": "enabled",
"group_preview": "enabled",
"atmentions": "enabled",
"atmentions_sound": "enabled",
"atmentions_preview": "enabled",
"bot": "enabled",
"bot_sound": "enabled",
"bot_preview": "enabled",
"reactions": "enabled",
"reactions_sound": "enabled",
"reactions_preview": "enabled",
"hashtags": "enabled",
"hashtags_sound": "enabled",
"hashtags_preview": "enabled",
"MT": "enabled",
"MT_sound": "enabled",
"MT_preview": "enabled"
},
"media_auto_download": {
"images": "enabled",
"videos": "disabled",
"others": "mobile"
},
"huddle_join_video_muted": "enabled",
"av_hd_video": "enabled",
"chat_summary": "enabled"
}
{
"status": "success",
"message": "Operation completed successfully."
}
{
"message": "The request cannot be performed. Usually because of malformed parameter or missing parameter."
}
{
"message": "Request was rejected because of invalid AuthToken."
}
{
"message": "The user does not have enough permission or possibly not an user of the respective organization to access the resource."
}
{
"message": "Too many requests within a certain time frame."
}
{
"message": "Cliq server encountered an error which prevents it from fulfilling the request."
}
Get mobile settings
AI Tools
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
Open in ChatGPT
Open in ChatGPT to ask questions about this page
Open in Claude
Open in Claude to ask questions about this page
Copy as Markdown
Copy this page as markdown to use with AI assistants
View as Markdown
Open this page as markdown in a new tab
Returns the current mobile settings for the authenticated user.
The response includes notification preferences, media settings, AV behavior, and summary-related options.
OAuth Scope: ZohoCliq.Profile.READ
Duration: 5
Threshold: 20 requests per min per user
Lock period: 5 minutes
OAuth Scope : ZohoCliq.Profile.READ
Query Parameters
headers_data = Map();
headers_data.put("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
response = invokeUrl
[
url: "https://cliq.zoho.com/api/v3/settings/mobile"
type: GET
headers: headers_data
connection: <connection_name>
];
info response;
OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://cliq.zoho.com/api/v3/settings/mobile")
.get()
.addHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f")
.build();
Response response = client.newCall(request).execute();
const options = {
method: 'GET',
headers: {
Authorization: 'Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f'
}
};
fetch('https://cliq.zoho.com/api/v3/settings/mobile', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
import http.client
conn = http.client.HTTPSConnection("cliq.zoho.com")
headers = { 'Authorization': "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" }
conn.request("GET", "/api/v3/settings/mobile", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
const http = require("https");
const options = {
"method": "GET",
"hostname": "cliq.zoho.com",
"port": null,
"path": "/api/v3/settings/mobile",
"headers": {
"Authorization": "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f"
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();
var client = new RestClient("https://cliq.zoho.com/api/v3/settings/mobile");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
IRestResponse response = client.Execute(request);
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://cliq.zoho.com/api/v3/settings/mobile"),
Headers =
{
{ "Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://cliq.zoho.com/api/v3/settings/mobile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
const data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://cliq.zoho.com/api/v3/settings/mobile");
xhr.setRequestHeader("Authorization", "Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f");
xhr.send(data);
curl --request GET \
--url https://cliq.zoho.com/api/v3/settings/mobile \
--header 'Authorization: Bearer 1000.41d9xxxxxxxxxxxxxxxxxxxxxxxxc2d1.8fccxxxxxxxxxxxxxxxxxxxxxxxx125f'
{
"av_noise_cancellation": "enabled",
"media_to_gallery": {
"images": "enabled",
"camera_captures": "enabled",
"videos": "enabled"
},
"conference_recording": "enabled",
"last_seen": "enabled",
"file_summary": "enabled",
"media_upload_quality": "enabled",
"notification": {
"direct_message": "enabled",
"direct_message_sound": "enabled",
"direct_message_preview": "enabled",
"channel": "enabled",
"channel_sound": "enabled",
"channel_preview": "enabled",
"group": "enabled",
"group_sound": "enabled",
"group_preview": "enabled",
"atmentions": "enabled",
"atmentions_sound": "enabled",
"atmentions_preview": "enabled",
"bot": "enabled",
"bot_sound": "enabled",
"bot_preview": "enabled",
"reactions": "enabled",
"reactions_sound": "enabled",
"reactions_preview": "enabled",
"hashtags": "enabled",
"hashtags_sound": "enabled",
"hashtags_preview": "enabled",
"MT": "enabled",
"MT_sound": "enabled",
"MT_preview": "enabled"
},
"media_auto_download": {
"images": "enabled",
"videos": "disabled",
"others": "mobile"
},
"media_auto_download_android": {
"images": "enabled",
"videos": "disabled",
"others": "mobile"
},
"huddle_join_video_muted": "enabled",
"av_hd_video": "enabled",
"av_speech_detection": "enabled",
"unread_summary": "enabled",
"chat_summary": "enabled"
}
{
"message": "The request cannot be performed. Usually because of malformed parameter or missing parameter."
}
{
"message": "Request was rejected because of invalid AuthToken."
}
{
"message": "The user does not have enough permission or possibly not an user of the respective organization to access the resource."
}
{
"message": "Too many requests within a certain time frame."
}
{
"message": "Cliq server encountered an error which prevents it from fulfilling the request."
}